## kxmlgui 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KXmlGui)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX KXMLGUI
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus Xml Network PrintSupport)

find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Attica ${KF5_DEP_VERSION})

set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KXMLGUI"
                       URL "https://projects.kde.org/attica"
                       TYPE OPTIONAL
                      )
set (HAVE_ATTICA ${KF5Attica_FOUND})

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(autotests)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlGuiConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlGuiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlGuiTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Test)

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMAddTests)

ecm_add_tests(
   kactioncategorytest.cpp
   kactioncollectiontest.cpp
   LINK_LIBRARIES Qt5::Test KF5::XmlGui
)
ecm_add_tests(
   kmainwindow_unittest.cpp
   ktoolbar_unittest.cpp
   kxmlgui_unittest.cpp
   GUI
   LINK_LIBRARIES Qt5::Test KF5::IconThemes KF5::XmlGui
)

=== src/CMakeLists.txt ===
add_subdirectory(ksendbugmail)

if (HAVE_ATTICA)
   set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} KF5::Attica)
endif ()
if(WIN32)
    set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} secur32) # GetUserNameEx()
endif()

configure_file(config-xmlgui.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xmlgui.h )

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kaboutapplicationconfigattica_p.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kaboutapplicationconfigattica_p.h
)

set(kxmlgui_SRCS
  kaboutapplicationdialog.cpp
  kaboutapplicationpersonlistdelegate_p.cpp
  kaboutapplicationpersonlistview_p.cpp
  kaboutapplicationpersonmodel_p.cpp
  kaboutkdedialog_p.cpp
  kactioncategory.cpp
  kactioncollection.cpp
  kactionconflictdetector.cpp
  kbugreport.cpp
  kedittoolbar.cpp
  kgesture.cpp
  kgesturemap.cpp
  khelpmenu.cpp
  kkeysequencewidget.cpp
  kmainwindow.cpp
  kmainwindowiface.cpp
  kmenumenuhandler_p.cpp
  kshortcuteditwidget.cpp
  kshortcutschemeseditor.cpp
  kshortcutschemeshelper.cpp
  kshortcutsdialog.cpp
  kshortcutseditor.cpp
  kshortcutseditordelegate.cpp
  kshortcutseditoritem.cpp
  kshortcutwidget.cpp
  kswitchlanguagedialog_p.cpp
  ktoggletoolbaraction.cpp
  ktoolbar.cpp
  ktoolbarhandler.cpp
  kxmlguibuilder.cpp
  kxmlguiclient.cpp
  kxmlguifactory.cpp
  kxmlguifactory_p.cpp
  kxmlguiversionhandler.cpp
  kxmlguiwindow.cpp
  kundoactions.cpp
  kcheckaccelerators.cpp
)

# add the resource file
qt5_add_resources(kxmlgui_SRCS kxmlgui.qrc)

ecm_qt_declare_logging_category(kxmlgui_SRCS HEADER debug.h IDENTIFIER DEBUG_KXMLGUI CATEGORY_NAME kf5.kxmlgui)

set(kxmlgui_UI
   kshortcutsdialog.ui
   kshortcutwidget.ui
)

ki18n_wrap_ui(kxmlgui_SRCS ${kxmlgui_UI} )

add_library(KF5XmlGui ${kxmlgui_SRCS})
generate_export_header(KF5XmlGui BASE_NAME KXmlGui)
add_library(KF5::XmlGui ALIAS KF5XmlGui)

target_include_directories(KF5XmlGui INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui>")

target_link_libraries(KF5XmlGui
PUBLIC
    Qt5::DBus           #QDBus connect to signal in KToolBar
    Qt5::Xml            #To parse the configuration (QDomDocument etc)
    Qt5::Widgets        #QWidget is used everywhere
    KF5::ConfigCore         #Reading config for ToolbarIcons, Shortcut Schemes...
    KF5::ConfigWidgets      #KStandardAction, KToggleAction...
PRIVATE
    Qt5::Network        #QNetworkAccessManager in kaboutapplicationpersonmodel_p
    Qt5::PrintSupport   #QPrinter in kshortcutseditor
    KF5::CoreAddons     #KAboutData
    KF5::WidgetsAddons
    KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
    KF5::I18n                #i18n and i18nc in many places
    KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
    KF5::TextWidgets        #KTextEdit in kbugreport
    KF5::WindowSystem       #KKeyServer in kkeysequencewidget
    KF5::GlobalAccel         #KActionCollection and shortcut widgets
    ${XMLGUI_EXTRA_LIBS}
)

set_target_properties(KF5XmlGui PROPERTIES VERSION   ${KXMLGUI_VERSION_STRING}
                                           SOVERSION ${KXMLGUI_SOVERSION}
                                           EXPORT_NAME XmlGui
)

ecm_generate_headers(KXmlGui_HEADERS
  HEADER_NAMES
  KAboutApplicationDialog
  KActionCategory
  KActionCollection
  KBugReport
  KEditToolBar
  KHelpMenu
  KKeySequenceWidget
  KMainWindow
  KShortcutsDialog
  KShortcutsEditor
  KShortcutWidget
  KToggleToolBarAction
  KToolBar
  KXMLGUIBuilder
  KXMLGUIClient
  KXMLGUIFactory
  KXmlGuiWindow
  KUndoActions

  REQUIRED_HEADERS KXmlGui_HEADERS
)

install(TARGETS KF5XmlGui EXPORT KF5XmlGuiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  kgesture_p.h
  kgesturemap_p.h
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_export.h
  ${KXmlGui_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui COMPONENT Devel
)

# install this file to be compatible, it is bundled in the resource file, too
install( FILES ui_standards.rc  DESTINATION  ${KDE_INSTALL_CONFDIR}/ui )

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KXmlGui LIB_NAME KF5XmlGui DEPS "dbus xml widgets KConfigCore KConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kxmlgui 5.3.0

=== debian/changelog ===
kxmlgui (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:26:11 +0100

kxmlgui (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:47:27 +0200

kxmlgui (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:16:26 +0200

kxmlgui (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 16:08:46 +0200

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libqt5x11extras5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kxmlgui.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlgui.git

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev,
         libkf5config-dev,
         libkf5configwidgets-dev,
         libkf5globalaccel-dev,
         libkf5iconthemes-dev,
         libkf5itemviews-dev,
         libkf5textwidgets-dev,
         libkf5windowsystem-dev,
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

Package: libkf5xmlgui5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libkf5xmlgui5 (= ${binary:Version}), ${misc:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains debug symbols for kxmlgui.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5xmlgui5-dbg

.PHONY: override_dh_auto_test

## kxmlgui 5.9.0

=== debian/changelog ===
kxmlgui (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:19:41 +0200

kxmlgui (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:46:03 +0100

kxmlgui (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:30:58 +0100

kxmlgui (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:54:24 +0100

kxmlgui (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:24:13 +0100

kxmlgui (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Update symbols for i386,amd64
  * Remove all build dependencies that are not actually mentioned in
    the CMakeLists.txt (i.e. unnecessary ones)

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libqt5x11extras5-dev,
+               extra-cmake-modules (>= 1.8.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kxmlgui.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlgui.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlgui.git
 
 Package: libkf5xmlgui-dev

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kxmlgui-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kxmlgui-(.*)\.tar\.xz

## kxmlgui 5.15.0

=== debian/changelog ===
kxmlgui (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:58:35 +0100

kxmlgui (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:28:24 +0100

kxmlgui (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:34:36 +0200

kxmlgui (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:11:12 +0200

kxmlgui (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files from buildds logs (5.9.0-1).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 21:44:10 +0200

kxmlgui (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:06:07 +0200

kxmlgui (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:12 +0200

kxmlgui (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:35 +0100

kxmlgui (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:40 +0100

kxmlgui (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 16:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5attica-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5configwidgets-dev (>= 5.15.0~),
+               libkf5globalaccel-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5itemviews-dev (>= 5.15.0~),
+               libkf5textwidgets-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libkf5windowsystem-dev (>= 5.15.0~),
+               libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
 XS-Testsuite: autopkgtest
@@ -27,16 +28,16 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev,
-         libkf5config-dev,
-         libkf5configwidgets-dev,
-         libkf5globalaccel-dev,
-         libkf5iconthemes-dev,
-         libkf5itemviews-dev,
-         libkf5textwidgets-dev,
-         libkf5windowsystem-dev,
+Depends: libkf5attica-dev (>= 5.15.0~),
+         libkf5config-dev (>= 5.15.0~),
+         libkf5configwidgets-dev (>= 5.15.0~),
+         libkf5globalaccel-dev (>= 5.15.0~),
+         libkf5iconthemes-dev (>= 5.15.0~),
+         libkf5itemviews-dev (>= 5.15.0~),
+         libkf5textwidgets-dev (>= 5.15.0~),
+         libkf5windowsystem-dev (>= 5.15.0~),
          libkf5xmlgui5 (= ${binary:Version}),
-         qtbase5-dev,
+         qtbase5-dev (>= 5.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: User configurable main windows.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         libkf5globalaccel-bin
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kxmlgui 5.18.0

=== debian/changelog ===
kxmlgui (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:25:43 +0100

kxmlgui (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files from buildds logs (5.15.0-1).
  * Update install files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:25 +0100

kxmlgui (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:23 +0200

kxmlgui (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:51 +0100

kxmlgui (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:05 +0200

kxmlgui (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 12:12:27 +0200

kxmlgui (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,37 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5attica-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5globalaccel-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5textwidgets-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5attica-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5textwidgets-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlgui.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlgui.git
 
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.15.0~),
-         libkf5config-dev (>= 5.15.0~),
-         libkf5configwidgets-dev (>= 5.15.0~),
-         libkf5globalaccel-dev (>= 5.15.0~),
-         libkf5iconthemes-dev (>= 5.15.0~),
-         libkf5itemviews-dev (>= 5.15.0~),
-         libkf5textwidgets-dev (>= 5.15.0~),
-         libkf5windowsystem-dev (>= 5.15.0~),
+Depends: libkf5attica-dev (>= 5.16.0~),
+         libkf5config-dev (>= 5.16.0~),
+         libkf5configwidgets-dev (>= 5.16.0~),
+         libkf5globalaccel-dev (>= 5.16.0~),
+         libkf5iconthemes-dev (>= 5.16.0~),
+         libkf5itemviews-dev (>= 5.16.0~),
+         libkf5textwidgets-dev (>= 5.16.0~),
+         libkf5windowsystem-dev (>= 5.16.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,5 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5xmlgui5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: acc
 Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kxmlgui-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kxmlgui-([\d.]+)\.tar\.xz

## kxmlgui 5.26.0

=== debian/changelog ===
kxmlgui (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.25.0-1).

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:26 +0200

kxmlgui (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:47:32 +0200

kxmlgui (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds results

  [ Maximiliano Curia ]
  * Update acc.in file

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 12:04:18 +0200

kxmlgui (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.19.0-1).
  * Bump Standards-Version to 3.9.8
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 May 2016 15:31:23 +0200

kxmlgui (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:12 +0100

kxmlgui (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Update symbols files from buildds logs (5.16.0-1).
  * Update symbols files.
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:55 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               libkf5attica-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5configwidgets-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5itemviews-dev (>= 5.26.0~),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlgui.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlgui.git

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.26.0~),
         libkf5config-dev (>= 5.26.0~),
         libkf5configwidgets-dev (>= 5.26.0~),
         libkf5globalaccel-dev (>= 5.26.0~),
         libkf5iconthemes-dev (>= 5.26.0~),
         libkf5itemviews-dev (>= 5.26.0~),
         libkf5textwidgets-dev (>= 5.26.0~),
         libkf5windowsystem-dev (>= 5.26.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.26),
        libkf5bookmarks-dev (<< 5.26),
        libkf5kcmutils-dev (<< 5.26),
        libkf5kio-dev (<< 5.26),
        libkf5newstuff-dev (<< 5.26),
        libkf5parts-dev (<< 5.26)

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.26),
        kdesignerplugin (<< 5.26),
        libkf5bookmarks5 (<< 5.26),
        libkf5kcmutils5 (<< 5.26),
        libkf5kdelibs4support5 (<< 5.26),
        libkf5khtml-bin (<< 5.26),
        libkf5khtml5 (<< 5.26),
        libkf5kiofilewidgets5 (<< 5.26),
        libkf5krossui5 (<< 5.26),
        libkf5mediaplayer5 (<< 5.26),
        libkf5newstuff5 (<< 5.26),
        libkf5parts-plugins (<< 5.26),
        libkf5parts5 (<< 5.26),
        libkf5plasma5 (<< 5.26),
        libkf5texteditor5 (<< 5.26),
        plasma-framework (<< 5.26)

## kxmlgui 5.28.0

=== debian/changelog ===
kxmlgui (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:44 +0100

kxmlgui (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:05:08 +0200

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5attica-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5configwidgets-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5globalaccel-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5itemviews-dev (>= 5.28.0~),
               libkf5textwidgets-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlgui.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlgui.git

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.28.0~),
         libkf5config-dev (>= 5.28.0~),
         libkf5configwidgets-dev (>= 5.28.0~),
         libkf5globalaccel-dev (>= 5.28.0~),
         libkf5iconthemes-dev (>= 5.28.0~),
         libkf5itemviews-dev (>= 5.28.0~),
         libkf5textwidgets-dev (>= 5.28.0~),
         libkf5windowsystem-dev (>= 5.28.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.28),
        libkf5kcmutils-dev (<< 5.28),
        libkf5kio-dev (<< 5.28),
        libkf5newstuff-dev (<< 5.28),
        libkf5parts-dev (<< 5.28)

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.28),
        libkf5bookmarks5 (<< 5.28),
        libkf5kcmutils5 (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml-bin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5kiofilewidgets5 (<< 5.28),
        libkf5krossui5 (<< 5.28),
        libkf5mediaplayer5 (<< 5.28),
        libkf5newstuff5 (<< 5.28),
        libkf5parts-plugins (<< 5.28),
        libkf5parts5 (<< 5.28),
        libkf5plasma5 (<< 5.28),
        libkf5texteditor5 (<< 5.28),
        plasma-framework (<< 5.28)

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: testsuite
 Depends: @, @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11, openbox,
+         xvfb, xauth, dbus (>= 1.8), openbox,
          libkf5globalaccel-bin
 Restrictions: rw-build-tree

## kxmlgui 5.31.0

=== debian/changelog ===
kxmlgui (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:21 +0000

kxmlgui (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:11 +0000

kxmlgui (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:28 +0000

kxmlgui (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)
  * Refresh symbols from build logs

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:02 +0100

kxmlgui (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:25 +0000

kxmlgui (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:18:46 +0200

kxmlgui (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 
  * Refresh symbols. 
  * Start over with symbols, something is amiss. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:41:27 -0700

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5attica-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui

Package: libkf5xmlgui-dev
Architecture: any
Section: libdevel
Depends: libkf5attica-dev (>= 5.31.0~),
         libkf5config-dev (>= 5.31.0~),
         libkf5configwidgets-dev (>= 5.31.0~),
         libkf5globalaccel-dev (>= 5.31.0~),
         libkf5iconthemes-dev (>= 5.31.0~),
         libkf5itemviews-dev (>= 5.31.0~),
         libkf5textwidgets-dev (>= 5.31.0~),
         libkf5windowsystem-dev (>= 5.31.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.38.0

=== debian/changelog ===
kxmlgui (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:28 +0100

kxmlgui (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:36 +0100

kxmlgui (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:10 +0100

kxmlgui (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:36 +0100

kxmlgui (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)
  * Inject -bin dependency in the symbols file (LP: #1676182)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:30 +0100

kxmlgui (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5attica-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5attica-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5configwidgets-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5globalaccel-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5itemviews-dev (>= 5.38.0~),
+               libkf5textwidgets-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
+               libkf5windowsystem-dev (>= 5.38.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
@@ -28,14 +28,14 @@
 Package: libkf5xmlgui-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5attica-dev (>= 5.31.0~),
-         libkf5config-dev (>= 5.31.0~),
-         libkf5configwidgets-dev (>= 5.31.0~),
-         libkf5globalaccel-dev (>= 5.31.0~),
-         libkf5iconthemes-dev (>= 5.31.0~),
-         libkf5itemviews-dev (>= 5.31.0~),
-         libkf5textwidgets-dev (>= 5.31.0~),
-         libkf5windowsystem-dev (>= 5.31.0~),
+Depends: libkf5attica-dev (>= 5.38.0~),
+         libkf5config-dev (>= 5.38.0~),
+         libkf5configwidgets-dev (>= 5.38.0~),
+         libkf5globalaccel-dev (>= 5.38.0~),
+         libkf5iconthemes-dev (>= 5.38.0~),
+         libkf5itemviews-dev (>= 5.38.0~),
+         libkf5textwidgets-dev (>= 5.38.0~),
+         libkf5windowsystem-dev (>= 5.38.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
